iOS用のAppStoreにある条件※(動作機種)の項目は、どのように決定されているのでしょうか?

たしかiTunesConnectで登録する際に設定項目は無かったと記憶していますが、アップル側のテストで自動的に決まるものなのか、あるいは開発者側が何処かで設定するものなのか、情報がありましたら、よろしくお願いします。

※例:「条件: iPhone 3GS、iPhone 4、iPod touch(第3世代)、iPod touch (第4世代) および iPad 互換 iOS *.* 以降が必要」

回答の条件
  • 1人5回まで
  • 13歳以上
  • 登録:2011/07/03 15:21:26
  • 終了:2011/07/03 18:52:53

ベストアンサー

id:km1981 No.1

km1981回答回数429ベストアンサー獲得回数492011/07/03 16:48:48

id:k_u

すいません説明不足でした。

聞きたいのは、OpenGL ES 2.0の利用など、OSのバージョンとは違う理由でiPhone3GS以降用にしたい場合についてです。

iPhone3Gで3GS以降用のアプリをダウンロードしようとした場合にGLES2.0に未対応云々と出る場合もあるので、OSバージョンだけで判断はしていないと思います。

2011/07/03 17:20:55

その他の回答(1件)

id:km1981 No.1

km1981回答回数429ベストアンサー獲得回数492011/07/03 16:48:48ここでベストアンサー

id:k_u

すいません説明不足でした。

聞きたいのは、OpenGL ES 2.0の利用など、OSのバージョンとは違う理由でiPhone3GS以降用にしたい場合についてです。

iPhone3Gで3GS以降用のアプリをダウンロードしようとした場合にGLES2.0に未対応云々と出る場合もあるので、OSバージョンだけで判断はしていないと思います。

2011/07/03 17:20:55
id:online_p No.2

online_p回答回数1153ベストアンサー獲得回数592011/07/03 17:15:52

ポイント50pt

環境変数を見ているのではありませんか。

http://www.cybersyndrome.net/evc.html

id:k_u

Mac本体に関連した情報では無いため、違うと思うのですが…。

2011/07/03 17:23:31
  • id:k_u
    https://twitter.com/#!/yasutaka_masuda/status/87453456188719104

    別方面からの情報で解決しました。
    .plistで指定という点は正解だったみたいです。

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません